Part Linie

From FreeCAD Documentation
The printable version is no longer supported and may have rendering errors. Please update your browser bookmarks and please use the default browser print function instead.
This page is a translated version of the page Part Line and the translation is 61% complete.

Part Linie

Menüeintrag
Formteil → Erstelle Grundelemente → Linie
Arbeitsbereich
Part, OpenSCAD
Standardtastenkürzel
Keiner
Eingeführt in Version
-
Siehe auch
Part Grundelemente

Beschreibung

A Part Linie ist eine parametrischer Linie, die mit dem Befehl Part Grundelemente erstellt werden kann. Die Koordinaten ihrer Start- und Endpunkte beziehen sich auf das in seiner Daten-EigenschaftPlacement festgelegte Koordinatensystem.

Anwendung

Siehe Part Grundelemente.

Eigenschaften

Siehe auch: Eigenschafteneditor.

Ein Part-Linie-Objekt wird von einem Part-Formelement abgeleitet und erbt alle seine Eigenschaften. Außerdem hat es die folgenden zusätzlichen Eigenschaften:

Daten

Attachment

The object has the same attachment properties as a Part Part2DObject.

Vertex 1 - Start

  • DatenX1 (Distance): The X coordinate of the start point of the line. The default is 0mm.
  • DatenY1 (Distance): The Y coordinate of the start point of the line. The default is 0mm.
  • DatenZ1 (Distance): The Z coordinate of the start point of the line. The default is 0mm.

Vertex 2 - Finish

  • DatenX2 (Distance): The X coordinate of the end point of the line. The default is 10mm.
  • DatenY2 (Distance): The Y coordinate of the end point of the line. The default is 10mm.
  • DatenZ2 (Distance): The Z coordinate of the end point of the line. The default is 10mm.

Skripten

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Line can be created with the addObject() method of the document:

line = FreeCAD.ActiveDocument.addObject("Part::Line", "myLine")
  • Where "myLine" is the name for the object.
  • The function returns the newly created object.

Beispiel:

import FreeCAD as App

doc = App.activeDocument()

line = doc.addObject("Part::Line", "myLine")
line.X1 = 1
line.Y1 = 3
line.Z1 = 6
line.X2 = 2
line.Y2 = 3
line.Z2 = 9

doc.recompute()